| CMSIS-DSP Verison 1.1.0 CMSIS DSP Software Library

- CMSIS
- CORE
- DSP
- RTOS API
- SVD

- Main Page
- Reference

- Data Structures
- Data Fields

Data Fields
arm_dct4_instance_q15 Struct Reference

Instance structure for the Q15 DCT4/IDCT4 function.

## Data Fields

uint16_t | N
uint16_t | Nby2
q15_t | normalize
q15_t * | pTwiddle
q15_t * | pCosFactor
arm_rfft_instance_q15 * | pRfft
arm_cfft_radix4_instance_q15 * | pCfft

## Field Documentation

uint16_t arm_dct4_instance_q15::N

length of the DCT4.

Referenced by arm_dct4_init_q15(), and arm_dct4_q15().

uint16_t arm_dct4_instance_q15::Nby2

half of the length of the DCT4.

Referenced by arm_dct4_init_q15(), and arm_dct4_q15().

q15_t arm_dct4_instance_q15::normalize

normalizing factor.

Referenced by arm_dct4_init_q15().

arm_cfft_radix4_instance_q15* arm_dct4_instance_q15::pCfft

points to the complex FFT instance.

Referenced by arm_dct4_init_q15().

q15_t* arm_dct4_instance_q15::pCosFactor

points to the cosFactor table.

Referenced by arm_dct4_init_q15(), and arm_dct4_q15().

arm_rfft_instance_q15* arm_dct4_instance_q15::pRfft

points to the real FFT instance.

Referenced by arm_dct4_init_q15().

q15_t* arm_dct4_instance_q15::pTwiddle

points to the twiddle factor table.

Referenced by arm_dct4_init_q15(), and arm_dct4_q15().